Returns one test case definition.
Request#
| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | Path parameter. The test_case_definition_id. |
Example request#
curl https://api.tried.com.au/get-test-case-definition/test_case_8f7e6d5c4b3a29180f1e2d3c \
-H "Authorization: Bearer $TRIED_API_KEY"const id = "test_case_8f7e6d5c4b3a29180f1e2d3c";
const res = await fetch(`https://api.tried.com.au/get-test-case-definition/${id}`, {
headers: { Authorization: `Bearer ${process.env.TRIED_API_KEY}` },
});
const testCase = await res.json();import os, requests
test_case_id = "test_case_8f7e6d5c4b3a29180f1e2d3c"
res = requests.get(
f"https://api.tried.com.au/get-test-case-definition/{test_case_id}",
headers={"Authorization": f"Bearer {os.environ['TRIED_API_KEY']}"},
)
test_case = res.json()Response#
200 OK
{
"test_case_definition_id": "test_case_8f7e6d5c4b3a29180f1e2d3c",
"agent_id": "agent_3e4f5a6b7c8d9e0f1a2b3c4d",
"name": "Reschedule appointment",
"user_prompt": "You are Sam. You have a booking on Tuesday at 3pm. You want to move it to Thursday morning.",
"success_criteria": "The agent confirms the new time and says \"Thursday\".",
"dynamic_variables": { "first_name": "Sam" },
"tool_mocks": [
{ "tool_name": "check_availability", "output": "{\"slots\":[\"Thursday 10am\"]}" }
],
"llm_model": "gpt-5.6-terra",
"created_timestamp": 1760850000000,
"last_modification_timestamp": 1760850000000
}The fields are described in Create test case definition.
Errors#
| Status | When |
|---|---|
401 |
Missing or invalid API key. |
403 |
The key's IP allowlist or scopes reject the request. This route needs the agents scope. |
404 |
Test case <id> not found. |
429 |
Rate limit exceeded. See Rate limits. |
See Errors for the body format.